{ config, pkgs, ... }:

{
  users.users.yoda = {
    packages = with pkgs; [
      firefox # Web browser
    ];
  };

  # Touch input with Firefox under X11.
  environment.sessionVariables = {
    MOZ_USE_XINPUT2 = "1";
  };

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    programs.firefox = {
      enable = true;
      profiles.default = {
        isDefault = true;
        settings = {};
        # https://mipmip.github.io/home-manager-option-search/?query=firefox.profiles.%3Cname%3E.extensions
        # https://nur.nix-community.org/repos/rycee/
        extensions = with pkgs.nur.repos.rycee.firefox-addons; [
          ublock-origin
          floccus
          snowflake
          simple-tab-groups
          smart-referer
          # noscript
          # video-downloadhelper

          decentraleyes
          # or
          #localcdn
        ];
      };
    };
  };
}
